#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const environment_1 = require("../configs/environment");
const arguments_1 = require("../configs/arguments");
const openapi_generator_1 = require("../openapi-generator/openapi-generator");
async function generate() {
    const rootDir = (0, environment_1.getEnvironment)().PWD;
    const { input, output } = (0, arguments_1.getCommandLineArguments)();
    await (0, openapi_generator_1.generateComponentsFromOpenapi)({
        rootDir,
        openapiFileRelativePath: input,
        destinationFolderRelativePath: output,
    });
}
generate()
    .then(() => {
    process.exit(0);
})
    .catch(error => {
    console.error(error);
    process.exit(1);
});
