"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SchemasGenerator = void 0;
const openapi_typescript_codegen_1 = require("openapi-typescript-codegen");
class SchemasGenerator {
    constructor(openapi, outputDirectory) {
        this.openapi = openapi;
        this.outputDirectory = outputDirectory;
    }
    async generateSchemas() {
        await (0, openapi_typescript_codegen_1.generate)({
            input: this.openapi,
            output: this.outputDirectory,
            exportCore: false,
            exportServices: false,
            exportSchemas: false,
        });
    }
}
exports.SchemasGenerator = SchemasGenerator;
